#include "nsIGenericFactory.h"
#include "Mole.h"

NS_GENERIC_FACTORY_CONSTRUCTOR(Mole)

static nsModuleComponentInfo components[] =
{
    {
       MOLE_CLASSNAME, 
       MOLE_CID,
       MOLE_CONTRACTID,
       MoleConstructor,
    }
};

NS_IMPL_NSGETMODULE("MyComponentsModule", components) 

